LANG=c
O=obj
A=lib
CC=icl.exe
OPTFLAGS=-O3 -Gs -Ob1 -G6 -Gr
CFLAGS=/nologo $(OPTFLAGS) -W3 -D__LIBV__ -D__WIN32__ -I $(ROOTDIR)/include
AR=lib /NOLOGO
MV=move
RM=del
AS=nasm
AFLAGS=-fwin32 -d__WIN32__
S=asm
MAKE=nmake
MAKEFILE=icl.mak
ROOTDIR=..\..\..
ARCH=win32
LIB=$(ROOTDIR)\lib\$(ARCH)\icl\libV.$(A)
###########################################################################
all:$(LIB)
###########################################################################
include ..\FileList.dos
include ..\supp.mak
###########################################################################
OBJECTS=$(SRC:.$(LANG)=.$(O))) $(SRC_INTEL:.$(S)=.$(O))
# OBJECTS=$(SRC:.c=.obj) $(SRC_INTEL:.asm=.obj)
.$(S).$(O):
	$(AS) $(AFLAGS) -I $(<D) $< -o $@
.$(LANG).$(O):
	$(CC) /c $(CFLAGS) $(ANSI) -I$(<D) $< /Fo$@
$(LIB):$(OBJECTS) $(SUPP_OBJECTS)
	$(AR) $(OBJECTS) $(SUPP_OBJECTS) /OUT:$@
###########################################################################
clean:
	cd ..
	nmake -f clean.mak
